Loading...
Searching...
No Matches

## slapy3()

real function slapy3 | ( | real | x,
|  | real | y,
|  | real | z )

SLAPY3 returns sqrt(x2+y2+z2).

Download SLAPY3 + dependencies [TGZ] [ZIP] [TXT]

Purpose:

      !>
      !> SLAPY3 returns sqrt(x**2+y**2+z**2), taking care not to cause
      !> unnecessary overflow and unnecessary underflow.
      !>

Parameters

  [in]

  X

      !>          X is REAL
      !>

  [in]

  Y

      !>          Y is REAL
      !>

  [in]

  Z

      !>          Z is REAL
      !>          X, Y and Z specify the values x, y and z.
      !>

Author
  Univ. of Tennessee
  Univ. of California Berkeley
  Univ. of Colorado Denver
  NAG Ltd.